play.mvc

## Class Http.Header

- java.lang.Object
- - play.mvc.Http.Header

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Http

    public static class Http.Header
    extends java.lang.Object
    implements java.io.Serializable

An HTTP Header

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `name` Header name
`java.util.List<java.lang.String>` `values` Header value

### Constructor Summary

Constructors
Constructor and Description
`Header()`
`Header(java.lang.String name, java.util.List<java.lang.String> values)`
`Header(java.lang.String name, java.lang.String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`java.lang.String` `value()` First value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

Header name

#### values

    public java.util.List<java.lang.String> values

Header value

### Constructor Detail

#### Header

    public Header()

#### Header

    public Header(java.lang.String name,
                  java.lang.String value)

#### Header

    public Header(java.lang.String name,
                  java.util.List<java.lang.String> values)

### Method Detail

#### value

    public java.lang.String value()

First value

Returns:
  The first value

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`